## Apache Zeta Components Manual :: Docs For Class ezcFeedSourceElement

### Feed::ezcFeedSourceElement

### Class ezcFeedSourceElement

Class defining a feed source element.

Source for this file: /Feed/src/structs/source.php

    ezcFeedElement
       |
       --ezcFeedSourceElement

Version: | //autogentag//

### Properties

array(ezcFeedAuthorElement) | read/write | `$author` The authors from the source feed (ATOM only).
ezcFeedCategoryElement | read/write | `$category` The categories from the source feed (ATOM only).
array(ezcFeedAuthorElement) | read/write | `$contributor` The contributors from the source feed (ATOM only).
ezcFeedTextElement | read/write | `$copyright` The copyright information from the source feed (ATOM only).
ezcFeedTextElement | read/write | `$description` The description from the source feed (ATOM only).
ezcFeedGeneratorElement | read/write | `$generator` The generator information from the source feed (ATOM only).
ezcFeedImageElement | read/write | `$icon` The icon from the source feed (ATOM only).
ezcFeedIdElement | read/write | `$id` The id from the source feed (ATOM only).
ezcFeedImageElement | read/write | `$image` The image from the source feed (ATOM only).
array(ezcFeedLinkElement) | read/write | `$link` The links from the source feed (ATOM only).
string | read/write | `$source` The name of the source feed (RSS2 only).
ezcFeedTextElement | read/write | `$title` The title from the source feed (ATOM only).
ezcFeedDateElement | read/write | `$updated` The date and time of the last update from the source feed (ATOM only).
string | read/write | `$url` The url of the source feed (RSS2 only).

### Member Variables

public string | `$source` The name of the source feed (RSS2 only).
public string | `$url` The url of the source feed (RSS2 only).

### Inherited Member Variables

From ezcFeedElement
protected | `ezcFeedElement::$properties`

### Method Summary

public ezcFeedElement | `add( $name )` Adds a new element with name $name to the source element and returns it.
public string | `__toString( )` Returns the source attribute.

### Methods

#### add

ezcFeedElement add( string $name )

Adds a new element with name $name to the source element and returns it.

Example:

1. // $source is an ezcFeedSourceElement object
2. $link=$source-> add ('link');
3. $link->href='http://ez.no/';

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string | The name of the element to add

#### __toString

string __toString( )

Returns the source attribute.

Documentation generated by phpDocumentor 1.4.3